#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 25. Graphical Environment Libraries

- Prev

  libgedit-gtksourceview-299.4.0

- Next

  Libdrm-2.4.124

- Up
- Home

# libhandy-1.8.3

## Introduction to libhandy

The libhandy package provides additional GTK UI widgets for use in developing user interfaces.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libhandy/1.8/libhandy-1.8.3.tar.xz

- Download MD5 sum: af586a91ff6d4093a6e7e283dfab5f7f

- Download size: 1.8 MB

- Estimated disk space required: 24 MB (with tests)

- Estimated build time: 0.1 SBU (with tests)

### libhandy Dependencies

#### Required

GTK-3.24.48

#### Recommended

Vala-0.56.17

#### Optional

GTK-Doc-1.34.0 and Glade

## Installation of libhandy

Install libhandy by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr --buildtype=release .. &&
    ninja

To test the results, issue: ninja test. The tests must be run from a graphical session.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D gtk_doc=true`: Use this option if you have GTK-Doc-1.34.0 installed and wish to install the documentation.

## Contents

Installed Programs: handy-1-demo
Installed Libraries: libhandy-1.so
Installed Directories: /usr/include/libhandy-1

### Short Descriptions

handy-1-demo | provides an example of how to use the libhandy library
`libhandy-1.so` | provides additional GTK widgets for use in creating user interfaces

- Prev

  libgedit-gtksourceview-299.4.0

- Next

  Libdrm-2.4.124

- Up
- Home